Support » Plugin: Ultimeter » Warning: call_user_func_array() breaks my site

  • Resolved renezuelli

    (@renezuelli)


    Hi
    since updat to 1.5 the following error message will displayed on every page, follwed by a call stack table:
    Warning: call_user_func_array() expects parameter 1 to be a valid callback, class ‘ultimeter_Public’ does not have a method ‘upgm_add_custom_styles’ in C:\wamp64\www\donare\wp-includes\class-wp-hook.php on line 286

    WordPress 4.9.7–de_CH
    local on my PC with WampServer Version 3.1.0 64bit

    Any idea?

    The page I need help with: [log in to see the link]

Viewing 9 replies - 1 through 9 (of 9 total)
  • Plugin Author bouncingsprout

    (@bouncingsprout)

    Hi Renezuelli!

    That notification is a warning that does not affect the operation of the plugin or the site. I will remove it in the next release, but I can assure you it is not breaking your site.

    The reason you see it is because you have configured WordPress to run in debug mode. Once you have finished development, you would generally disable this.

    Hope that helps.

    Plugin Author bouncingsprout

    (@bouncingsprout)

    Hi again,

    Version 1.6 has just been released which removes that warning.

    Hi, I also am experiencing this issue with Ultimeter displaying this issue on every page. WordPress shows that I currently have version 1.6 installed. I checked the debug setting and it is set to false.

    here’s the error message:
    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, ‘ultimeter_Public::upgm_add_custom_styles__premium_only’ was given in /home1/rmhcsorg/public_html/wp-includes/class-wp-hook.php on line 286

    Plugin Author bouncingsprout

    (@bouncingsprout)

    Hi glewis104,

    Can you tell me the website address please?

    Yes, thank you for the prompt response. It is:

    http://rmhcsoutherncolorado.org/

    Plugin Author bouncingsprout

    (@bouncingsprout)

    Thank you!

    Can I ask you to deactivate, delete and reinstall the latest version for me. The database entries will be saved, if you have already created a meter.

    Sometimes, even though you have turned debug off in your config file, shared hosting companies force debug to be on – https://aristath.github.io/blog/wp-hide-php-errors. It’s a nuisance and they shouldn’t do it. Give the instructions a go and it will turn off any further debug problems.

    In the meantime, I’ll explore again, and if need be, push out another version as soon as I can, although this is the first report back for version 1.6.

    Thanks for letting me know!

    Well, I deactivated, deleted and reinstalled and then activated, and it is still occuring (message from just now, not sure if it is the same as it was):

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, ‘ultimeter_Public::upgm_add_custom_styles__premium_only’ was given in /home1/rmhcsorg/public_html/wp-includes/class-wp-hook.php on line 286

    I’ll try to follow the instructions you sent to turn off debugging for my site and let you know.

    Hello,

    I followed the instructions you provided in the blog article and the warning is no longer displaying, in true release mode.

    Thank you for your help and please let me know when/if you have this latest issue resolved (in debug mode).

    Greg

    Plugin Author bouncingsprout

    (@bouncingsprout)

    Cheers Greg!

    I’ll keep you posted.

    Ben

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘Warning: call_user_func_array() breaks my site’ is closed to new replies.